Index: configure.in
===================================================================
RCS file: /cvsroot/nagiosplug/nagiosplug/configure.in,v
retrieving revision 1.29
diff -u -p -u -r1.29 configure.in
--- configure.in	22 Nov 2002 02:46:49 -0000	1.29
+++ configure.in	17 Dec 2002 04:28:16 -0000
@@ -185,10 +185,12 @@ fi
 if test "$ac_cv_lib_mysqlclient_mysql_init" = "yes" -o "$ac_cv_lib_mysqlclient_mysql_close" = "yes"; then
   AC_CHECK_HEADERS(mysql/mysql.h mysql/errmsg.h, MYSQLINCLUDE="-I$MYSQL/include" )
   if test "$ac_cv_header_mysql_mysql_h" = "yes" -a "$ac_cv_header_mysql_errmsg_h" = "yes"; then
-    EXTRAS="$EXTRAS check_mysql"
+    EXTRAS="$EXTRAS check_mysql check_mysql_replication"
     AC_SUBST(MYSQLINCLUDE)
     AC_SUBST(MYSQLLIBS)
     AC_SUBST(check_mysql_LDFLAGS)
+    check_mysql_replication="$check_mysql_LDFLAGS"
+    AC_SUBST(check_mysql_replication_LDFLAGS)
   else
     AC_MSG_WARN([Skipping mysql plugin])
     AC_MSG_WARN([install mysql client headers to compile this plugin (see Requirements).])
Index: plugins/Makefile.am
===================================================================
RCS file: /cvsroot/nagiosplug/nagiosplug/plugins/Makefile.am,v
retrieving revision 1.16
diff -u -p -u -r1.16 Makefile.am
--- plugins/Makefile.am	19 Nov 2002 19:13:07 -0000	1.16
+++ plugins/Makefile.am	17 Dec 2002 04:28:16 -0000
@@ -12,7 +12,8 @@ libexec_PROGRAMS = check_disk check_dumm
 
 EXTRA_PROGRAMS = check_mysql check_radius check_pgsql check_snmp check_hpjd \
 	check_swap check_fping check_ldap check_game check_dig \
-	check_nagios check_by_ssh check_dns
+	check_nagios check_by_ssh check_dns \
+	check_mysql_replication
 
 check_tcp_programs = check_ftp check_imap check_nntp check_pop
 
@@ -50,6 +51,7 @@ check_load_LDADD = $(BASEOBJS) popen.o
 check_mrtg_LDADD = $(BASEOBJS)
 check_mrtgtraf_LDADD = $(BASEOBJS)
 check_mysql_LDADD = $(BASEOBJS) $(MYSQLLIBS)
+check_mysql_replication_LDADD = $(BASEOBJS) $(MYSQLLIBS)
 check_nagios_LDADD = $(BASEOBJS) popen.o
 check_nwstat_LDADD = $(NETLIBS)
 check_overcr_LDADD = $(NETLIBS)
@@ -85,6 +87,7 @@ check_load_DEPENDENCIES = check_load.c $
 check_mrtg_DEPENDENCIES = check_mrtg.c  $(DEPLIBS)
 check_mrtgtraf_DEPENDENCIES = check_mrtgtraf.c  $(DEPLIBS)
 check_mysql_DEPENDENCIES = check_mysql.c  $(DEPLIBS)
+check_mysql_replication_DEPENDENCIES = check_mysql_replication.c  $(DEPLIBS)
 check_nagios_DEPENDENCIES = check_nagios.c $(BASEOBJS) popen.o $(DEPLIBS)
 check_nwstat_DEPENDENCIES = check_nwstat.c $(NETOBJS) $(DEPLIBS)
 check_overcr_DEPENDENCIES = check_overcr.c $(NETOBJS) $(DEPLIBS)
